
Figure - Bug #117017
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 112101 (New): AF-V2.0-Launcher/SystemUI-控制中心

【AF】【EVT】【控制中心】在设置中开关护眼模式，控制中心的护眼模式组件状态未及时响应
2023-03-18 14:20 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-18

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0086_20230328

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303170158

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

Reproducibility: Every time Fixed Version: 2023-03-23

Test Type: ST Root cause: 状态监听回回调销毁的所属的生命周期问题,需要扩大状态回调的生存范围

Description

【前提条件】

设备已开机

护眼模式已开启

【测试步骤】

1、打开设置

2、关闭护眼模式

3、打开控制中心

4、查看护眼模式组件状态

【预期结果】

4、控制中心中的护眼模式被关闭

【实际结果】

4、刚打开控制中心时，护眼模式组件高亮，随后护眼模式组件变为关闭状态

History

#1 - 2023-03-20 16:22 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2023-03-23 15:03 - CDTS_TEST 王成

- Target version set to VC1_FSE_0086_20230328

#3 - 2023-03-23 15:29 - CD FW-程天颖

- Root cause set to 状态监听回回调销毁的所属的生命周期问题,需要扩大状态回调的生存范围

#4 - 2023-03-23 20:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

189417 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com
AF:SystemUI: Fix NightDisplayTitle status can`t sync when in the backgreoundTC-RID: 1201-0201903IssueID: TS-R-BUG-117017Change-Id:

I9db6491452276cee0b1fdf40b5b4fc2ebf1024af

#5 - 2023-03-23 20:55 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-23

■ Current conclusion

bug已解决,代码已入库

■ My analysis

状态监听回回调销毁的所属的生命周期问题,需要扩大状态回调的生存范围

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/188634

#6 - 2023-03-24 13:54 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

3.24

验证通过

#7 - 2023-03-24 13:54 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-18 14-15-54.mp4 24.9 MB 2023-03-18 CD TEST-方永红
